{% extends 'registration/base.html' %}
{% load crispy_forms_tags %}
{% block title_header %}افزودن مقاله{% endblock %}
{% block title %}افزودن مقاله{% endblock %}

{#این فرم از دیتای #}
{#creatview#}
{#که ارث بری کردیم ارسال شده#}

{#multipart/form-data#}
{#ازاین برای ارسال یا اپلود عکس استفاده میشود و باید بگذاریم اون رو#}
{% block main %}

    <div class="col-12">
        <div class="card card-primary">
            <div class="card-header">
                <h1 class="card-title mb-0 float-left">افزودن مقاله</h1>
            </div>
            <div class="card-body">
                <form method="post" enctype="multipart/form-data">{% csrf_token %}
                    <div class="row">
                        <div class="col-6">
                            {{ form.title|as_crispy_field }}
                        </div>
                        <div class="col-6">
                            {{ form.slug|as_crispy_field }}
                        </div>
                        <div class="col-12">
                            {{ form.descriptions|as_crispy_field }}
                        </div>
                        <div class="col-6">
                            {{ form.category|as_crispy_field }}
                        </div>
                        <div class="col-2    badge badge-primary" style="height: 30px; padding: 10px" >
                            {{ form.is_special|as_crispy_field }}
                        </div>
                        <div class="col-6">
                            {{ form.thumbnail|as_crispy_field }}
                            {{ form.publish|as_crispy_field }}
                        </div>

                        {% if user.is_superuser %}
                            <div class="col-6">
                                {{ form.author|as_crispy_field }}
                            </div>

                            <div class="col-6">
                                {{ form.status|as_crispy_field }}
                            </div>

                        {% else %}
                            <div class="col-6">
                                <div id="div_id_status" class="form-group">
                                    <label for="id_status" class=" requiredField">
                                        وضعیت<span class="asteriskField">*</span>
                                    </label>
                                    <div class="">
                                        <select name="status" class="select form-control" required="" id="id_status">
                                            <option value="">---------</option>
                                            <option value="d" selected="">پیش نویس</option>
                                            <option value="i">ارسال برای ادمین</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        {% endif %}
                    </div>
                    <button class="btn btn-success">ارسال مقاله</button>
                    {% if user.is_superuser and request.resolver_match.kwargs.pk %}
                        <a class="btn btn-danger" href="{% url 'account:delete' request.resolver_match.kwargs.pk %}">حذف مقاله</a>
                    {% endif %}
                </form>
            </div>
        </div>
    </div>

{% endblock %}



